<?xml version="1.0" encoding="UTF-8"?>
<schemalist gettext-domain="dialect">
  <schema id="app.drey.Dialect" path="/app/drey/Dialect/">
    <key type="ai" name="window-size">
        <default>[800, 300]</default>
    </key>
    <key type="s" name="color-scheme">
      <choices>
        <choice value="auto"/>
        <choice value="light"/>
        <choice value="dark"/>
      </choices>
      <default>"auto"</default>
    </key>
    <key type="b" name="live-translation">
        <default>false</default>
    </key>
    <key type="b" name="sp-translation">
      <default>false</default>
    </key>
    <key type="b" name="show-pronunciation">
        <default>false</default>
    </key>
    <key type="b" name="src-auto">
        <default>true</default>
    </key>
    <key type="i" name="translate-accel">
        <!-- 0 = Ctrl+Enter | 1 = Enter -->
        <default>0</default>
    </key>
    <key type="b" name="custom-default-font-size">
        <default>false</default>
    </key>
    <key type="i" name="default-font-size">
        <!-- 0 = User has never enabled custom default font size before -->
        <default>0</default>
    </key>

    <child name="tts" schema="app.drey.Dialect.TTSList" />
    <child name="translators" schema="app.drey.Dialect.TranslatorsList" />
  </schema>

  <!-- Settings list schema -->
  <schema id="app.drey.Dialect.SettingsList">
    <key name="list" type="as">
      <default>[]</default>
    </key>
    <key name="active" type="s">
      <default>""</default>
    </key>
  </schema>

  <!-- Translators list schema -->
  <schema id="app.drey.Dialect.TranslatorsList" extends="app.drey.Dialect.SettingsList">
    <override name="active">"google"</override>
  </schema>

  <!-- Translator schema -->
  <schema id="app.drey.Dialect.translator">
    <key type="b" name="init">
        <default>false</default>
    </key>
    <key type="as" name="src-langs">
        <default>[]</default>
    </key>
    <key type="as" name="dest-langs">
        <default>[]</default>
    </key>
    <key type="s" name="instance-url">
        <default>""</default>
    </key>
    <key type="s" name="api-key">
        <default>""</default>
    </key>
  </schema>

  <!-- TTS list schema -->
  <schema id="app.drey.Dialect.TTSList" extends="app.drey.Dialect.SettingsList">
    <override name="active">"google"</override>
  </schema>
</schemalist>
